Subject: [bug#61894] [PATCH RFC] Team approval for patches

From: Andreas Enge <[email-masked]>
Date: Sat, 11 Mar 2023 00:19:01 +0100

Am Fri, Mar 10, 2023 at 06:33:58PM +0100 schrieb Simon Tournier:
> However, for some packages or changes, the impact is far from being
> trivial.  I have in mind many changes that happen aside gnu/packages and
> also some core packages (Guile, etc.).
> For these kind of changes, it does not appear to me so crazy to ask more
> than the submitter or committer eyes.

That is true! So far, this has been handled by common sense of the people
working on a patch (and sometimes that process then fails).

> (b) that some implicit that worked until now needs to be more explicit.
> And (b) does not mean strong all white or all black.

In the longer run I also agree with (b). But I am not sure it will be easy
to formulate a rule that captures well the intended policy and draws the
line between "trivial", anybody can push any time, and "complex", where more
opinions are needed, and maybe stages in between. It may be worth the trial.

Andreas